%define subvers 2.0.0b5p1

Name:		subcommander
Version:	2.0
Release:	0.6%{?dist}.3
Summary:	Graphical UI for subversion

Group:		Development/Tools
License:	GPLv2+
URL:		http://subcommander.tigris.org	
Source0:	http://subcommander.tigris.org/files/documents/1759/46766/Subcommander-%{subvers}.tar.gz
Source1:	subcommander.desktop
Source2:	submerge.desktop
Patch1:		subcommander-2.0.0b4-var.patch

# Sent to upstream via project mailing list
Patch2:		subcommander-2.0.0b5p1-upd.patch
Patch3:		subcommander-2.0.0b5p1-dso.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake
BuildRequires:	autoconf
BuildRequires:	subversion-devel >= 1.5.1
BuildRequires:	qt-devel >= 4.3 
buildRequires:	desktop-file-utils
BuildRequires:	apr-devel, >= 1.3.2-2, apr-util-devel >= 1.3.2-7
BuildRequires:	zlib-devel
BuildRequires:	boost-devel
BuildRequires:	neon-devel
BuildRequires:  mysql-devel

%description
The goal of the subcommander project is to build an easy to use,
crossplatform (Win32, Unix, MacOSX) Subversion gui client including
a graphical diff and merge tool for text files.

The Subversion gui client is called subcommander and the merge tool
is called submerge.

%prep
%setup -q -n %{name}-2.0.0b5
# %patch1 -p1 -b .var
%patch2 -p1 -b .ux
%patch3 -p1 -b .dso

%build
aclocal
automake --foreign
autoconf
%configure  -with-qt=%{_libdir}/qt4
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
cp -p pics/icon.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/subcommander.png

cp doc/COPYING .

desktop-file-install --vendor fedora			\
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications 	\
	%{SOURCE1}

desktop-file-install --vendor fedora			\
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications 	\
	%{SOURCE2}
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/subcommander
%{_bindir}/submerge
%{_datadir}/subcommander/
%{_datadir}/applications/fedora-subcommander.desktop
%{_datadir}/applications/fedora-submerge.desktop
%{_datadir}/pixmaps/subcommander.png

%doc README CHANGES COPYING

%changelog
* Wed Mar 17 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.0-0.6.3
- Remove unused GUI patch

* Wed Mar 17 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.0-0.6.2
- Path to fix BZ #571280
- Patch cleanup
- Disable GUI patch

* Tue Mar 16 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.0-0.6.1
- New updatream release 2.0.0b5p1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 2.0-0.5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  2 2009 Jochen Schmitt <Jochen herr-schmitt de> 2.0-0.4.1
- Change versioning for beta releases
- Rebuild for new boost release

* Wed May 13 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.9.94-7
- Add fix to build subcommander agains subversion-1.6.x

* Sun Mar  1 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.9.94-6
- Fix desktop file (BZ #487869)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.9.94-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb  3 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.9.94-4
- Fix gcc-4.4 issues

* Wed Nov  5 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.9.94-3
- Fix svn_ra_dav-1 issue

* Thu Sep 18 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.9.94-0
- New upstream release

* Sun Aug  3 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.9.93-6
- Blocking subversion-1.5.0 bc/ it's contains a bug

* Wed Jul 16 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.9.93-5
- Add forgotten file

* Sun Jul 13 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.9.93-4
- Some more fixes for svn-1.5

* Sun Jul 13 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.9.93-3
- Rebuild agains new libsvn_ra_dav (#455002)

* Sun Jun 29 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.9.93-2
- New prerelease 2.0.0b3 of subcommander

* Sun Apr 20 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.4-1
- New upstream release

* Sun Apr  6 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-12
- Change BR qt-devel to qt3-devel (#440802)

* Sun Feb 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-11
- Rebuild for gcc-4.3

* Mon Jan 21 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-10
- Fix gcc-4.3 issues

* Sun Dec 16 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-9
- Rebuild (#425779)

* Wed Nov 28 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-8
- Fix build issues on rawhide (#399621)

* Mon Nov 26 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-8
- Setting QTDIR (#399621)

* Sun Sep  2 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-7
- Rebuild agains updated neon lib (#243638)

* Wed Aug  8 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-6
- Changing license tag

* Wed Jun 20 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-5
- Increase release to solve strange cvs tagging issue

* Mon Jun 18 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-4
- Rebuilt because an upload issue

* Thu Jun 14 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-3
- Set Version to 1.0 in the desktop file

* Thu Jun 14 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-2
- Correcting desktop files

* Tue Jun  5 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-1
- Initional package.

